Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 212399 - Incorrect JavaFX version is set in html and jnlp files for JavaFX project
Incorrect JavaFX version is set in html and jnlp files for JavaFX project
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Project
7.1
PC Windows 7
: P3 (vote)
: TBD
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 16:03 UTC by Alexander Kouznetsov
Modified: 2012-05-18 09:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Generated jnlp file (1016 bytes, text/plain)
2012-05-11 16:04 UTC, Alexander Kouznetsov
Details
Generated html file (3.84 KB, text/plain)
2012-05-11 16:04 UTC, Alexander Kouznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kouznetsov 2012-05-11 16:03:31 UTC
Create and build JavaFX project with JavaFX 2.1 SDK.
Look into its dist/*.jnlp and *.html files. Both state the app requires JavaFX version 2.0+. This is not correct as application was developed with JavaFX 2.1 and may not work with older runtime versions.

Product Version: NetBeans IDE 7.1 (Build 201112071828)
Java: 1.7.0_02; Java HotSpot(TM) 64-Bit Server VM 22.0-b10
System: Windows 7 version 6.1 running on amd64; Cp1251; en_US (nb)
User directory: C:\Users\akouznet\.netbeans\7.1
Cache directory: C:\Users\akouznet\.netbeans\7.1\var\cache
Comment 1 Alexander Kouznetsov 2012-05-11 16:04:29 UTC
Created attachment 119362 [details]
Generated jnlp file
Comment 2 Alexander Kouznetsov 2012-05-11 16:04:49 UTC
Created attachment 119363 [details]
Generated html file
Comment 3 Petr Somol 2012-05-16 15:43:53 UTC
In JavaFX Application project type the jnlp and html artifacts are generated using an Ant task from FX SDK. Thus NetBeans does not control the contents of these files. I confirm the same problem persists in JavaFX 2.2 b08. I have filed an issue on this in JavaFX Jira server:
http://javafx-jira.kenai.com/browse/RT-21587

As nothing more can be done about that in NetBeans I am closing as Wontfix. Please follow the above link regarding this issue's further processing.
Comment 4 Petr Somol 2012-05-17 09:09:54 UTC
Igor of FX team has discovered that the problem actually has been in the NB side - it was in the jfx-impl.xml buildfile, a leftover platform version setter from the times of FX 2.0.x.

fixed in jetmain:
http://hg.netbeans.org/jet-main/rev/457980fd5ab9
Comment 5 Quality Engineering 2012-05-18 09:50:41 UTC
Integrated into 'main-golden', will be available in build *201205180400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/457980fd5ab9
User: Petr Somol <psomol@netbeans.org>
Log: #212399 - Incorrect JavaFX version is set in html and jnlp files for JavaFX project


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo